---
title: PeriodicSyncEvent
slug: Web/API/PeriodicSyncEvent
tags:
  - API
  - Background Sync
  - Interface
  - Offline
  - PeriodicSyncEvent
  - Reference
  - ServiceWorker
  - Workers
---
<div>{{draft}}{{DefaultAPISidebar("Periodic Background Sync")}}</div>

<p class="summary">The <strong><code>PeriodicSyncEvent</code></strong> interface of the {{domxref('Web Periodic Background Synchronization API')}} provides a way to run tasks in the service worker with network connectivity.</p>

<p>An instance of this event is passed to the {{domxref('ServiceWorkerGlobalScope.onperiodicsync')}} handler. This happens periodically, at an interval greater than or equal to that set in the {{domxref('PeriodicSyncManager.register()')}} method. Other implementation-specific factors such as the user's engagement with the site decide the actual interval.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("PeriodicSyncEvent.PeriodicSyncEvent()")}}</dt>
 <dd>Creates a new <code>PeriodicSyncEvent</code> object. This constructor is not typically used. The browser creates these objects itself and provides them to {{domxref('ServiceWorkerGlobalScope.onperiodicsync')}} callback.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('PeriodicSyncEvent.tag')}} {{readonlyInline}}</dt>
 <dd>Returns the developer-defined identifier for this <code>PeriodicSyncEvent</code>. Multiple tags can be used by the web app to run different periodic tasks at different frequencies.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>Inherits methods from its parent {{domxref('ExtendableEvent')}}.</p>

<p>{{InheritanceDiagram(700, 60, 20)}}</p>

<h2 id="Examples">Examples</h2>

<p>The following example shows how to respond to a periodic sync event in the service worker.</p>

<pre class="brush: js notranslate">self.addEventListener('periodicsync', event =&gt; {
  if (event.tag == 'get-latest-news') {
    event.waitUntil(fetchAndCacheLatestNews());
  }
});
</pre>

<p><code>fetchAndCacheLatestNews</code> is a developer defined function.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Periodic Background Sync','#periodicsync-event','PeriodicSyncEvent')}}</td>
   <td>{{Spec2('Periodic Background Sync')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PeriodicSyncEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://web.dev/periodic-background-sync/">Richer offline experiences with the Periodic Background Sync API</a></li>
 <li><a href="https://webplatformapis.com/periodic_sync/periodicSync_improved.html">A Periodic Background Sync demo app</a></li>
</ul>
